diff -Naur Doomsday Data Files.old/ai/eng_1943.ai Doomsday Data Files/ai/eng_1943.ai
--- Doomsday Data Files.old/ai/eng_1943.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/eng_1943.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,432 @@
+# reworked by Spocky for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+switch = no # [yes/no]
+max_front_ratio = 2.0
+max_garrison_prop = 0.30
+min_garrison_prop = 0.20
+
+war = 5
+strat_redeploy_threshold = 21
+exp_force_ratio = 0.10
+exp_force_ratios = {
+	FRA = 0.1
+} 
+
+
+###################################
+# Diplomacy
+###################################
+combat = { }
+
+claim_acceptance = -20
+
+befriend = {
+	VEN = 50
+	USA = 50
+	BEL = 70
+	HOL = 70
+	SPR = 40 
+	POL = 80 
+	CZE = 40
+	TUR = 10 
+	PER = 20
+	POR = 20
+	CHI = 20
+}
+protect = {
+	FRA = 150
+	CAN = 150
+	AST = 150
+	NZL = 150
+	BEL = 150
+	HOL = 150
+	SPR = 20
+	POL = 250 
+	CZE = 250
+	TUR = 50 
+	IRQ = 10
+	PER = 10
+	POR = 10
+	CHI = 10
+}
+target = { } 
+trade = {
+	energy 		= -1
+	rare_materials 	= -1
+	metal 		= -1
+	oil 		= -1
+	supplies 	= -1
+	money 		= -1
+
+	favored = {
+		VEN = 100
+		FRA = 100
+		CAN = 100
+		AST = 100
+		NZL = 100
+		USA = 100
+		BEL = 90
+		HOL = 90
+		SPR = 30
+		POL = 20 
+		CZE = 20
+		TUR = 10
+		IRQ = 100
+		PER = 100
+		POR = 10
+		CHI = 10
+	}
+	embargo = {
+		GER ITA JAP SLO HUN
+	}
+}
+
+}
+military = { 
+	relative_build_scheme 	= no
+	max_batch_peace 	= 270
+	max_batch_war 		= 270 
+	max_batch_home_front 	= 270
+
+
+	#### Divisions etc...
+	infantry 	= 0
+	cavalry 	= 0
+	motorized 	= 0
+	mechanized 	= 35
+	light_armor 	= 0
+	armor 		= 0
+	paratrooper 	= 0
+	marine 		= 0
+	bergsjaeger 	= 0
+	garrison	= 0
+      	hq 		= 0
+	militia 	= 0
+#				35 %
+	interceptor 	= 5
+	multi_role 	= 0
+	cas 		= 0
+	strategic_bomber = 0
+	tactical_bomber = 5
+	naval_bomber 	= 0
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				10 %
+	battleship 	= 4
+	carrier 	= 10
+	destroyer 	= 10
+	escort_carrier	= 1
+	light_cruiser 	= 10
+	heavy_cruiser 	= 1
+	battlecruiser 	= 0
+	submarine 	= 0
+	transports 	= 19
+#				55 %
+
+	#### Brigades
+	artillery 		= 0
+	sp_artillery 		= 10
+	rocket_artillery	= 0 
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 20
+	super_heavy_armor 	= 0
+	armored_car 		= 0
+	anti_air 		= 10
+	police 			= 0	
+	engineer 		= 10
+
+	cag = 100.000 
+}
+
+technology = { 
+	endgoal 	= { } 
+	preference 	= { 
+			# inf
+			1310 1320 1330 1340 1350 1360 # supply 
+			1010 1020 1030 1040 1050 1060 # inf 
+			 
+			# tank & ARI 
+			2150 2160 # AC 
+			2290 2300 2310 2320 2340 2350 2360 # ARI 
+			2100 2110 2120 # heavy tanks 
+			 
+			# navy 
+			3010 3020 3030 3040 3050 3060 # destroyer
+			3320 3330 3340 3350 3360 3370 # carrier 
+			 
+			# industry 
+			5010 5020 5030 5040 #  agriculture 
+			5050 5060 5070 5080 5090 5100 5110 5120 5130 # industry 
+			5140 5150 5160 5180 # assembly lines 
+			 
+			# land docs 
+			6110 6120 6130 6140 6150 6180 
+			 
+			# nav docs 
+			8200  8130
+			} 
+	ignore 		= { 
+			#Inf
+			 
+			#ARI & Tank	
+			2130 # super heavy
+			2260 2270 2280 # SP Rock
+			2370 2380 2390 # rock
+			2470 2480 2490  # AA
+			2170 2180 2190 2200 2210 # SP AT 
+			 
+			#Mavy 
+			3190 3200 3210 3220 3230 #BC
+			3310 # SH BB
+			3430 3450 # sub 
+			 
+			#Plane 
+			4070 4040 4100 # Fighter
+			4170 4280 4180 # cas 
+ 
+			#industry 
+			5190 5200 5210 5220 5230 # oil 
+			5470 5480 5490 5500 5510 5520 5530 5540 # nuclear 
+			5170 # rocket assembly 
+			 
+			# landdocs 
+			6160 6170 6190 6200 
+			 
+			# airdocs
+			9050 9060 9070 9080
+			9270 9280 9290 9300
+			9140 9150 9160 9170 9180 
+			9430 9440 9450 9460 
+			9230 9240 9250 9260 
+			9390 9400 9410 9420 
+		}
+ 
+	armor 		= 5 
+	infantry 	= 6
+	industry 	= 5
+	aircraft 	= 5
+	naval 		= 5
+	land_doctrines 	= 2
+	secret_weapons 	= 1
+	air_doctrines 	= 2
+	naval_doctrines = 2
+}  
+
+###################################
+# Ground Combat, Leaders and Garrisons
+###################################
+leader_ratio = {
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
+}
+
+garrison = {
+	defend_overseas_beaches = no
+	home_multiplier 	= 5.0
+	overseas_multiplier 	= 1.0
+	home_peace_cap 		= 21
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 1.0
+	revolt_risk_mult	= 1.0
+
+	# PRIORITIES:
+	beach			= 100	# Beach level 2
+	capital			= 150	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	# Borders with specific countries
+	country_priorities = {
+		BEL = -1
+		HOL = -1
+		LUX = -1
+		GER = 200
+		SPA = 5
+		SPR = -1
+		ITA = 50
+		ETH = -1
+		SCH = -1
+		FRA = -1
+		CAN = -1
+		AST = -1
+		NZL = -1
+		POR = -1
+		CYN = -1
+		TUR = -1
+		SIA = 100
+		JAP = 200
+	}
+
+	area_multiplier = {
+
+		19  = 5.0 # London
+		839 = 1.0 # Alexandria
+		1452 = 5.0 # calcutta
+
+	}
+}
+
+front = { 
+	recklessness 		= 3 # 0-3
+	distrib_vs_ai 		= offensive
+	distrib_vs_human 	= offensive
+
+	enemy_reinf_days	= 6
+	reserve_prop		= 0.1
+	panic_ratio_vs_ai	= 2.5
+	panic_ratio_vs_human	= 2.5
+	base_attack_odds	= 1.75
+	min_attack_odds		= 1.5
+	max_attack_odds		= 3.0
+	reinforce_odds		= 1.333
+	withdraw_odds		= 0.9
+
+	strength 	= 1.0
+	organisation 	= 2.0
+	soft_attack 	= 1.0
+	hard_attack 	= 2.0
+	ground_defense 	= 1.0
+	dig_in 		= 1.25 # Against defender
+
+      	enemy_handicap = { } 
+      	passivity = { } 
+} 
+
+###################################
+# Invasions and Naval
+###################################
+invasion = {
+	invasion	= yes
+	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
+	random		= 5.0	#How big a random range.  (1.0 = 1%)
+	coastal		= 0.5	#increase to avoid coastal forts more.
+	beach		= 0.1	#higher, avoid worst beaches.
+	distance	= 3.0	#higher = avoid long distance.
+	max_distance    = 40.0
+	pocket		= 3.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
+	island		= 2.0	#prioritise taking pure islands.
+	enemy		= 1.0	#higher = much more vary of troops in province.
+	adjacentenemy 	= 0.5	#higher = much more vary of troops nearby
+	air_base	= 0.1
+      	naval_base 	= 0.1
+      	redirect 	= nearest
+	ignore		= no
+      
+	target = { } 
+} 
+admiral = { 
+	min_org		= 100	# NEW: Percent of org gained back before the unit can leave port
+	min_dmg		= 98    # NEW: Percent of dmg gained back before the unit can leave port
+	return_org 	= 60 	# NEW: PERCENT OF ORG LOST BEFORE RETURNING TO PORT applies to all fleets/ships
+	return_dmg 	= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
+	min_core_attack_fleets  = 2		# Minimum amount of attack fleets to defend CORE provinces (default 0)
+	num_attack_fleets		= 6 	# ENG/USA default 3, JAP default 2 everyone else is 1
+
+base = { 5 21 348 906 2516}
+
+target = {
+### home islands
+2395 = 100
+2412 = 100
+2413 = 100
+2414 = 100
+2415 = 100
+2416 = 100
+2417 = 100
+2403 = 100
+2402 = 100
+2400 = 100
+2600 = 100
+2599 = 100
+2598 = 100
+#### med
+2454 = 100
+2451 = 100
+2442 = 100
+2440 = 100
+2437 = 100
+2436 = 100
+#### fareast
+2073 = 100
+2147 = 100
+2146 = 100
+2151 = 100
+2152 = 100
+2144 = 100
+2143 = 100
+2141 = 100
+2161 = 100
+2140 = 100
+2139 = 100
+2168 = 100
+2160 = 100
+2164 = 100
+}
+
+
+
+
+
+	ignore = {
+# Baltic Sea
+"Bothnian Bay"
+"Northern Baltic"
+"Southern Baltic"
+
+# North Sea
+"Kattegat"
+
+# Caribbean
+"Yucatan Strait"
+"Central Carribean"
+"Windward Islands"
+"West Gulf of Mexico"
+"East Gulf of Mexico"
+"Florida Strait"
+
+# Mediterranean
+"Adriatic Sea"
+"Black Sea"
+
+	}
+
+}
+
+###################################
+# Intelligence
+###################################
+spyprefs = {
+	percentage_on_spies = 0.2
+	percentage_foreign_mission = 0.7
+
+	spyprefsdata = {
+		country_priorities = 10
+		min_number_of_spies = 5
+		NumberOfSpies = 10
+		counter_espionage = 10
+		country = ENG
+	}
+}
+
+air_marshal = {
+	min_mission_strength_org = 0.7
+}
diff -Naur Doomsday Data Files.old/ai/fla_1936.ai Doomsday Data Files/ai/fla_1936.ai
--- Doomsday Data Files.old/ai/fla_1936.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/fla_1936.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,265 @@
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+switch = no # [yes/no]
+max_front_ratio = 1.5
+max_front_ratios = { }
+max_garrison_prop = 0.50
+min_garrison_prop = 0.25
+neutrality = 100.000
+war = 0
+strat_redeploy_threshold = 21
+exp_force_ratio = 0.75
+exp_force_ratios = {
+	GER = 0.9
+}
+desperation = 0.50
+use_offensive_supply = no
+
+###################################
+# Diplomacy
+###################################
+claim_acceptance = -49
+
+combat = { }
+demand_claims = { }
+befriend = { }
+protect = { }
+target = { } 
+
+trade = {
+	cancel_deal_threshold = 3
+
+	energy 		= -1
+	rare_materials 	= -1
+	metal 		= -1
+	oil 		= -1
+	supplies 	= -1
+	money 		= -1
+
+	favored = { GER = 100 }
+	embargo = { }
+}
+
+tech_sharing = {
+	favored = { GER = 100 }
+	embargo = { }
+	not = { }
+	prioritized = {	}
+}
+
+###################################
+# Construction and Tech Research
+###################################
+construction = { 
+	max_factor = 0.250
+	AA_batteries = no
+	coastal_fort = no
+	radar_station = no
+	air_base = no
+	naval_base = no
+	land_fort = no
+	ic_at_war = no
+}
+
+military = { 
+	relative_build_scheme 	= yes
+	max_batch_peace 	= 360
+	max_batch_war 		= 360
+	max_batch_home_front 	= 360
+
+	#### Divisions etc...
+	infantry 	= 42
+	cavalry 	= 6
+	motorized 	= 9
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 8
+	paratrooper 	= 0
+	marine 		= 0
+	bergsjaeger 	= 8
+	garrison	= 0
+      	hq 		= 5
+	militia 	= 0
+#				78 %
+	interceptor 	= 8
+	multi_role 	= 0
+	cas 		= 0
+	strategic_bomber = 0
+	tactical_bomber = 7
+	naval_bomber 	= 0
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				15 %
+	battleship 	= 0
+	carrier 	= 0
+	escort_carrier	= 0
+	destroyer 	= 3
+	light_cruiser 	= 0
+	heavy_cruiser 	= 0
+	battlecruiser 	= 0
+	submarine 	= 4
+	transports 	= 0
+#				7 %
+
+	#### Brigades
+	artillery 		= 30
+	sp_artillery 		= 0
+	rocket_artillery	= 0
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 0
+	super_heavy_armor 	= 0
+	armored_car 		= 0
+	anti_air 		= 0
+	police 			= 0
+	engineer 		= 20
+
+	cag = 100.000 
+}
+
+technology = {
+	endgoal 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		4010 4020 4030 4060 4090 15000 15010 15020 # Interceptors
+		4120 4130 4140 4150 4160 15100 15110 # Tac Bombers
+	}
+	preference 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		4010 4020 4030 4060 4090 15000 15010 15020 # Interceptors
+		4120 4130 4140 4150 4160 15100 15110 # Tac Bombers
+	}
+	ignore 		= {
+		1070 1080 1090 1100 10020 10030 # Paratroopers
+		1150 1160 1170 1180 10060 10070 # Marines
+		1340 1350 1360 # Repair shops
+		2170 2180 2190 2200 2210 11020 # Tank Destroyers
+		2370 2380 2390 # Rocket Artillery
+		2450 2460 2470 2480 2490 2500 11080 # Static Anti-Air
+		2510 2520 2530 2540 11090 # Anti-Air Brigades
+		4040 4070 4100 15030 15040 15050 # Fighters
+		4190 4200 4210 15140 15150 # Naval Bombers
+		4220 4230 4240 15160 15170 # Strategic Bombers
+		4250 4260 4270 15180 15190 # Air Transports
+		5150 5170 # Ship + Rocket Assembly Lines
+		5410 5420 5430 5440 5450 5460 13030 # Radar
+		5470 5480 5490 5500 5510 5520 5530 5540 # Nuclear Techs
+		5580 5590 # Flying Bomb / Flying Rocket
+		9150 9160 9170 9180 9430 9440 9450 9460 17010 # Strategic Bombardment Doctrines
+		14080 # Guerilla Warfare
+	}
+
+	armor 		= 4
+	infantry 	= 8
+	industry 	= 6
+	aircraft 	= 4
+	naval 		= 0
+	land_doctrines 	= 4
+	secret_weapons 	= 0
+	air_doctrines 	= 3
+	naval_doctrines = 0
+}
+
+###################################
+# Ground Combat, Leaders and Garrisons
+###################################
+leader_ratio = {
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
+}
+
+garrison = {
+	defend_overseas_beaches = yes
+	home_multiplier 	= 1.0
+	overseas_multiplier 	= 0.5
+	home_peace_cap 		= 101
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 1.0
+	revolt_risk_mult	= 1.0
+
+	# PRIORITIES:
+	beach			= 75	# Beach level 2
+	capital			= 100	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	# Borders with specific countries
+	country_priorities = { }
+	province_priorities = { }
+	area_multiplier = { }
+}
+
+front = { 
+	recklessness 		= 2 # 0-3
+	distrib_vs_ai 		= even
+	distrib_vs_human 	= even
+
+	enemy_reinf_days	= 6
+	reserve_prop		= 0.1
+	panic_ratio_vs_ai	= 2.5
+	panic_ratio_vs_human	= 2.5
+	base_attack_odds	= 1.75
+	min_attack_odds		= 1.5
+	max_attack_odds		= 3.0
+	reinforce_odds		= 1.333
+	withdraw_odds		= 0.9
+
+	strength 	= 1.0
+	organisation 	= 2.0
+	soft_attack 	= 1.0
+	hard_attack 	= 2.0
+	ground_defense 	= 1.0
+	dig_in 		= 1.25 # Against defender
+
+      	enemy_handicap = { } 
+      	passivity = { } 
+} 
+
+###################################
+# Invasions and Naval
+###################################
+invasion = { 
+	ignore		= no 
+	invasion	= no
+      
+	target = { } 
+} 
+
+###################################
+# Intelligence
+###################################
+spyprefs = {
+	percentage_on_spies = 0.2
+	percentage_foreign_mission = 0.7
+
+	spyprefsdata = {
+		country_priorities = 10
+		min_number_of_spies = 5
+		NumberOfSpies = 10
+		counter_espionage = 10
+		country = FLA
+	}
+}
+
+air_marshal = {
+	min_mission_strength_org = 0.7
+}
